Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sig.rsa
Class RSAPSSSignature

    java.lang.Object
      |
      +--gnu.crypto.sig.BaseSignature
            |
            +--gnu.crypto.sig.rsa.RSAPSSSignature

All Implemented Interfaces:
  java.lang.Cloneable, ISignature

public class RSAPSSSignature
extends BaseSignature

The RSA-PSS signature scheme is a public-key encryption scheme combining the RSA algorithm with the Probabilistic Signature Scheme (PSS) encoding method.

The inventors of RSA are Ronald L. Rivest, Adi Shamir, and Leonard Adleman, while the inventors of the PSS encoding method are Mihir Bellare and Phillip Rogaway. During efforts to adopt RSA-PSS into the P1363a standards effort, certain adaptations to the original version of RSA-PSS were made by Mihir Bellare and Phillip Rogaway and also by Burt Kaliski (the editor of IEEE P1363a) to facilitate implementation and integration into existing protocols.

References:
RSA-PSS Signature Scheme with Appendix, part B. Primitive specification and supporting documentation. Jakob Jonsson and Burt Kaliski.

Version:
  $Revision: 1.3 $

Fields inherited from class gnu.crypto.sig.BaseSignature
`md, privateKey, publicKey, schemeName, SIGNER_KEY, SOURCE_OF_RANDOMNESS, VERIFIER_KEY`

Constructor Summary
`RSAPSSSignature()` Default 0-arguments constructor.
`RSAPSSSignature(java.lang.String mdName)` Constructs an instance of this object using the designated message digest algorithm as its underlying hash function, and having 0-octet salt.
`RSAPSSSignature(java.lang.String mdName, int sLen)` Constructs an instance of this object using the designated message digest algorithm as its underlying hash function.

Method Summary
`java.lang.Object` | `clone()` Returns a clone copy of this instance.
`protected java.lang.Object` | `generateSignature()`
`protected void` | `setupForSigning(java.security.PrivateKey k)`
`protected void` | `setupForVerification(java.security.PublicKey k)`
`protected boolean` | `verifySignature(java.lang.Object sig)`

Methods inherited from class gnu.crypto.sig.BaseSignature
`init, name, nextRandomBytes, setupSign, setupVerify, sign, update, update, verify`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPSSSignature

    public RSAPSSSignature()

  Default 0-arguments constructor. Uses SHA-1 as the default hash and a 0-octet salt.

### RSAPSSSignature

    public RSAPSSSignature(java.lang.String mdName)

  Constructs an instance of this object using the designated message digest algorithm as its underlying hash function, and having 0-octet salt.

  Parameters:
    `mdName` - the canonical name of the underlying hash function.

### RSAPSSSignature

    public RSAPSSSignature(java.lang.String mdName,
                           int sLen)

  Constructs an instance of this object using the designated message digest algorithm as its underlying hash function.

  Parameters:
    `mdName` - the canonical name of the underlying hash function.
    `sLen` - the desired length in octets of the salt to use for encoding / decoding signatures.

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ISignature`
  Returns a clone copy of this instance.
  Overrides:
    `clone` in class `BaseSignature`
  Following copied from interface: `gnu.crypto.sig.ISignature`
  Returns:
    a clone copy of this instance.

### setupForVerification

    protected void setupForVerification(java.security.PublicKey k)
                                 throws java.lang.IllegalArgumentException

  Overrides:
    `setupForVerification` in class `BaseSignature`

### setupForSigning

    protected void setupForSigning(java.security.PrivateKey k)
                            throws java.lang.IllegalArgumentException

  Overrides:
    `setupForSigning` in class `BaseSignature`

### generateSignature

    protected java.lang.Object generateSignature()
                                          throws java.lang.IllegalStateException

  Overrides:
    `generateSignature` in class `BaseSignature`

### verifySignature

    protected boolean verifySignature(java.lang.Object sig)
                               throws java.lang.IllegalStateException

  Overrides:
    `verifySignature` in class `BaseSignature`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.